Subject: Re: [PATCH net-next 4/8] ovpn: Allow IPv6 link-local addresses through RPF check

From: Sabrina Dubroca <[email-masked]>
Date: Fri, 14 Nov 2025 17:06:40 +0100

2025-11-11, 22:47:37 +0100, Antonio Quartulli wrote:
> From: Ralf Lici <[email-masked]>
> 
> IPv6 link-local addresses are not globally routable and are therefore
> absent in the unicast routing table. This causes legitimate packets with
> link-local source addresses to fail standard RPF checks within ovpn.
> 
> Introduce an exception to explicitly allow such packets as link-local
> addresses are essential for core IPv6 link-level operations like NDP,
> which must function correctly within the virtual tunnel interface.

Does this fix an existing bug, or does it only become a problem for
some of the new features in that series (multipeer-to-multipeer?)? If
this is a problem for existing use-cases, there should be a Fixes tag.

-- 
Sabrina